Bug 1255807 - [RFE]: Associate a FQDN with the IP of the deployed CFME VM
[RFE]: Associate a FQDN with the IP of the deployed CFME VM
Status: VERIFIED
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: Installation - CloudForms (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity unspecified
: TP2
: 1.0
Assigned To: John Matthews
Dave Johnson
Dan Macpherson
: FutureFeature, Triaged
Depends On:
Blocks: 1252512
  Show dependency treegraph
 
Reported: 2015-08-21 11:30 EDT by John Matthews
Modified: 2016-04-29 12:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Matthews 2015-08-21 11:30:26 EDT
Description of problem:

When RHCI deploys CFME VM it has an IP address only, no hostname.
We could explore creating a DNS record in the Satellite DNS which will track the IP of the CFME VM.

We also need to see if the IP will change, assuming CFME VM is restarted, will the IP remain static, or do we need to track it changing and update the DNS record.
Comment 1 Antonin Pagac 2016-02-16 09:59:49 EST
The CFME instance now has resolvable hostname assigned to it.

John, is there a mechanism to track IP changes of the CFME VM in case of restarts?
Comment 2 John Matthews 2016-02-16 10:08:35 EST
Yes, this should be handled by Satellite.

We are now launching CFME through a ComputeResource in Satellite, this is letting Satellite handle the DHCP/DNS setup.

The flow should be:
 - CFME VM has a MAC address registered with Satellite
 - CFME VM boots and DHCP lookup on Satellite is based on MAC and will return same IP
Comment 3 Antonin Pagac 2016-02-16 10:30:42 EST
For a light test, I tried to restart the VM and it got the same IP. I think any other testing is beyond the scope of this bug, so marking as verified.

TP2 RC9
RHCI-6.0-RHEL-7-20160208.1-RHCI-x86_64-dvd1.iso
RHCIOOO-7-RHEL-7-20160127.0-RHCIOOO-x86_64-dvd1.iso

Note You need to log in before you can comment on or make changes to this bug.